package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.Scholarship;
import org.dromara.ygpassport.domain.vo.ScholarshipVo;
import org.dromara.ygpassport.domain.bo.ScholarshipBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 奖学金获评记录Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface IScholarshipService extends MPJBaseService<Scholarship> {

    /**
     * 查询奖学金获评记录
     */
    ScholarshipVo queryById(Long id);

    /**
     * 查询奖学金获评记录列表
     */
    TableDataInfo<ScholarshipVo> queryPageList(ScholarshipBo bo, PageQuery pageQuery);

    /**
     * 查询奖学金获评记录列表
     */
    List<ScholarshipVo> queryList(ScholarshipBo bo);

    /**
     * 新增奖学金获评记录
     */
    Boolean insertByBo(ScholarshipBo bo);

    /**
     * 修改奖学金获评记录
     */
    Boolean updateByBo(ScholarshipBo bo);

    /**
     * 校验并批量删除奖学金获评记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ScholarshipVo> queryListByStuNo(String stuNo);
}
